#include "dimensions.h"


void copy_cats_dimensions(const struct cats_dimension *source, struct cats_dimension *destination)
{
        assert(source != NULL);
        assert(destination != NULL);
        destination->rows = source->rows;
        destination->cols = source->cols;
}


bool cats_dimensions_match(const struct cats_dimension *dim1, const struct cats_dimension *dim2)
{
        if (dim1->rows == dim2->rows && dim1->cols == dim2->cols) return true;
        return false;
}